Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Interface PredicateOperand

All Known Subinterfaces:
  Aggregate, DomainObject, Expression, PathExpression, QueryDefinition, Subquery

All Known Implementing Classes:
  AbsExpression, AbstractDomainObject, AbstractPath, AllExpression, AnyExpression, ArrayExpression, AverageExpression, BinaryOperatorExpression, ConcatExpression, ConstantExpression, CountExpression, CurrentTimeExpression, DistinctExpression, DividedByExpression, ElseExpression, EntryExpression, ExpressionImpl, FetchPath, IndexExpression, JoinPath, KeyExpression, LengthExpression, LiteralExpression, LocateExpression, LowerExpression, MaxExpression, MinExpression, MinusExpression, ModExpression, NavigationPath, OperatorPath, ParameterExpression, PlusExpression, QueryDefinitionImpl, QueryExpression, RangeExpression, RootPath, SizeExpression, SomeExpression, SquareRootExpression, SubStringExpression, SumExpression, TimesExpression, TrimExpression, TypeExpression, UnaryMinusExpression, UnaryOperatorExpression, UpperExpression, ValueExpression, VarArgsExpression

    public interface PredicateOperand

Interface for constructing where-clause and having-clause conditions. Instances of PredicateOperand are used in constructing predicates passed to the where or having methods.

Method Summary
`Predicate` | `between(Calendar arg1, Calendar arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(Calendar arg1, PredicateOperand arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(Date arg1, Date arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(Date arg1, PredicateOperand arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(Number arg1, Number arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(Number arg1, PredicateOperand arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(PredicateOperand arg1, Calendar arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(PredicateOperand arg1, Date arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(PredicateOperand arg1, Number arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(PredicateOperand arg1, PredicateOperand arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(PredicateOperand arg1, String arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(String arg1, PredicateOperand arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `between(String arg1, String arg2)` Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.
`Predicate` | `equal(boolean arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(Calendar arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(Class cls)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(Date arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(Enum<?> e)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(Number arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(PredicateOperand arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `equal(String arg)` Create a predicate for testing equality with the specified argument.
`Predicate` | `greaterEqual(Calendar arg)` Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.
`Predicate` | `greaterEqual(Date arg)` Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.
`Predicate` | `greaterEqual(Number arg)` Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.
`Predicate` | `greaterEqual(PredicateOperand arg)` Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.
`Predicate` | `greaterEqual(String arg)` Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.
`Predicate` | `greaterThan(Calendar arg)` Create a predicate for testing whether the PredicateOperand is greater than the argument.
`Predicate` | `greaterThan(Date arg)` Create a predicate for testing whether the PredicateOperand is greater than the argument.
`Predicate` | `greaterThan(Number arg)` Create a predicate for testing whether the PredicateOperand is greater than the argument.
`Predicate` | `greaterThan(PredicateOperand arg)` Create a predicate for testing whether the PredicateOperand is greater than the argument.
`Predicate` | `greaterThan(String arg)` Create a predicate for testing whether the PredicateOperand is greater than the argument.
`Predicate` | `lessEqual(Calendar arg)` Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.
`Predicate` | `lessEqual(Date arg)` Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.
`Predicate` | `lessEqual(Number arg)` Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.
`Predicate` | `lessEqual(PredicateOperand arg)` Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.
`Predicate` | `lessEqual(String arg)` Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.
`Predicate` | `lessThan(Calendar arg)` Create a predicate for testing whether the PredicateOperand is less than the argument.
`Predicate` | `lessThan(Date arg)` Create a predicate for testing whether the PredicateOperand is less than the argument.
`Predicate` | `lessThan(Number arg)` Create a predicate for testing whether the PredicateOperand is less than the argument.
`Predicate` | `lessThan(PredicateOperand arg)` Create a predicate for testing whether the PredicateOperand is less than the argument.
`Predicate` | `lessThan(String arg)` Create a predicate for testing whether the PredicateOperand is less than the argument.
`Predicate` | `like(PredicateOperand pattern)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `like(PredicateOperand pattern, char escapeChar)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `like(PredicateOperand pattern, PredicateOperand escapeChar)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `like(String pattern)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `like(String pattern, char escapeChar)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `like(String pattern, PredicateOperand escapeChar)` Create a predicate for testing whether the PredicateOperand satisfies the given pattern.
`Predicate` | `notEqual(boolean arg)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(Calendar arg)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(Class cls)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(Date arg)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(Enum<?> e)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(Number arg)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(PredicateOperand arg)` Create a predicate for testing inequality with the specified argument.
`Predicate` | `notEqual(String arg)` Create a predicate for testing inequality with the specified argument.

Method Detail

### equal

    Predicate equal(PredicateOperand arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### equal

    Predicate equal(Class cls)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `cls` - - entity class
  Returns:
    conditional predicate

### equal

    Predicate equal(Number arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - numeric
  Returns:
    conditional predicate

### equal

    Predicate equal(String arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - string value
  Returns:
    conditional predicate

### equal

    Predicate equal(boolean arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - boolean value
  Returns:
    conditional predicate

### equal

    Predicate equal(Date arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### equal

    Predicate equal(Calendar arg)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### equal

    Predicate equal(Enum<?> e)

  Create a predicate for testing equality with the specified argument.

  Parameters:
    `e` - - enum
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(PredicateOperand arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(Class cls)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `cls` - - entity class
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(Number arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - numberic value
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(String arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - string value
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(boolean arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - boolean value
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(Date arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(Calendar arg)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### notEqual

    Predicate notEqual(Enum<?> e)

  Create a predicate for testing inequality with the specified argument.

  Parameters:
    `e` - - enum
  Returns:
    conditional predicate

### greaterThan

    Predicate greaterThan(PredicateOperand arg)

  Create a predicate for testing whether the PredicateOperand is greater than the argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### greaterThan

    Predicate greaterThan(Number arg)

  Create a predicate for testing whether the PredicateOperand is greater than the argument.

  Parameters:
    `arg` - - numeric
  Returns:
    conditional predicate

### greaterThan

    Predicate greaterThan(String arg)

  Create a predicate for testing whether the PredicateOperand is greater than the argument.

  Parameters:
    `arg` - - string
  Returns:
    conditional predicate

### greaterThan

    Predicate greaterThan(Date arg)

  Create a predicate for testing whether the PredicateOperand is greater than the argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### greaterThan

    Predicate greaterThan(Calendar arg)

  Create a predicate for testing whether the PredicateOperand is greater than the argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### greaterEqual

    Predicate greaterEqual(PredicateOperand arg)

  Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### greaterEqual

    Predicate greaterEqual(Number arg)

  Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.

  Parameters:
    `arg` - - numeric
  Returns:
    conditional predicate

### greaterEqual

    Predicate greaterEqual(String arg)

  Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.

  Parameters:
    `arg` - - string
  Returns:
    conditional predicate

### greaterEqual

    Predicate greaterEqual(Date arg)

  Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### greaterEqual

    Predicate greaterEqual(Calendar arg)

  Create a predicate for testing whether the PredicateOperand is greater than or equal to the argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### lessThan

    Predicate lessThan(PredicateOperand arg)

  Create a predicate for testing whether the PredicateOperand is less than the argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### lessThan

    Predicate lessThan(Number arg)

  Create a predicate for testing whether the PredicateOperand is less than the argument.

  Parameters:
    `arg` - - numeric
  Returns:
    conditional predicate

### lessThan

    Predicate lessThan(String arg)

  Create a predicate for testing whether the PredicateOperand is less than the argument.

  Parameters:
    `arg` - - string
  Returns:
    conditional predicate

### lessThan

    Predicate lessThan(Date arg)

  Create a predicate for testing whether the PredicateOperand is less than the argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### lessThan

    Predicate lessThan(Calendar arg)

  Create a predicate for testing whether the PredicateOperand is less than the argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### lessEqual

    Predicate lessEqual(PredicateOperand arg)

  Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.

  Parameters:
    `arg` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### lessEqual

    Predicate lessEqual(Number arg)

  Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.

  Parameters:
    `arg` - - numeric
  Returns:
    conditional predicate

### lessEqual

    Predicate lessEqual(String arg)

  Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.

  Parameters:
    `arg` - - string
  Returns:
    conditional predicate

### lessEqual

    Predicate lessEqual(Date arg)

  Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.

  Parameters:
    `arg` - - date
  Returns:
    conditional predicate

### lessEqual

    Predicate lessEqual(Calendar arg)

  Create a predicate for testing whether the PredicateOperand is less than or equal to the argument.

  Parameters:
    `arg` - - calendar
  Returns:
    conditional predicate

### between

    Predicate between(PredicateOperand arg1,
                      PredicateOperand arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - PredicateOperand instance or parameter
    `arg2` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### between

    Predicate between(PredicateOperand arg1,
                      Number arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - PredicateOperand instance or parameter
    `arg2` - - numeric
  Returns:
    conditional predicate

### between

    Predicate between(Number arg1,
                      PredicateOperand arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - numeric
    `arg2` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### between

    Predicate between(Number arg1,
                      Number arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - numeric
    `arg2` - - numeric
  Returns:
    conditional predicate

### between

    Predicate between(PredicateOperand arg1,
                      String arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - PredicateOperand instance or parameter
    `arg2` - - string
  Returns:
    conditional predicate

### between

    Predicate between(String arg1,
                      PredicateOperand arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - string
    `arg2` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### between

    Predicate between(String arg1,
                      String arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - string
    `arg2` - - string
  Returns:
    conditional predicate

### between

    Predicate between(PredicateOperand arg1,
                      Date arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - PredicateOperand instance or parameter
    `arg2` - - date
  Returns:
    conditional predicate

### between

    Predicate between(Date arg1,
                      PredicateOperand arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - date
    `arg2` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### between

    Predicate between(Date arg1,
                      Date arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - date
    `arg2` - - date
  Returns:
    conditional predicate

### between

    Predicate between(PredicateOperand arg1,
                      Calendar arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - PredicateOperand instance or parameter
    `arg2` - - calendar
  Returns:
    conditional predicate

### between

    Predicate between(Calendar arg1,
                      PredicateOperand arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - calendar
    `arg2` - - PredicateOperand instance or parameter
  Returns:
    conditional predicate

### between

    Predicate between(Calendar arg1,
                      Calendar arg2)

  Create a predicate for testing whether the PredicateOperand lies between (inclusive) the two arguments.

  Parameters:
    `arg1` - - calendar
    `arg2` - - calendar
  Returns:
    conditional predicate

### like

    Predicate like(PredicateOperand pattern)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
  Returns:
    conditional predicate

### like

    Predicate like(PredicateOperand pattern,
                   PredicateOperand escapeChar)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
    `escapeChar` -
  Returns:
    conditional predicate

### like

    Predicate like(PredicateOperand pattern,
                   char escapeChar)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
    `escapeChar` -
  Returns:
    conditional predicate

### like

    Predicate like(String pattern)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
  Returns:
    conditional predicate

### like

    Predicate like(String pattern,
                   PredicateOperand escapeChar)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
    `escapeChar` -
  Returns:
    conditional predicate

### like

    Predicate like(String pattern,
                   char escapeChar)

  Create a predicate for testing whether the PredicateOperand satisfies the given pattern.

  Parameters:
    `pattern` -
    `escapeChar` -
  Returns:
    conditional predicate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.